	component Test_Pattern is
		port (
			alt_vip_cl_cvo_clocked_video_vid_clk       : in  std_logic                     := 'X'; -- vid_clk
			alt_vip_cl_cvo_clocked_video_vid_data      : out std_logic_vector(95 downto 0);        -- vid_data
			alt_vip_cl_cvo_clocked_video_underflow     : out std_logic;                            -- underflow
			alt_vip_cl_cvo_clocked_video_vid_datavalid : out std_logic_vector(1 downto 0);         -- vid_datavalid
			alt_vip_cl_cvo_clocked_video_vid_v_sync    : out std_logic_vector(1 downto 0);         -- vid_v_sync
			alt_vip_cl_cvo_clocked_video_vid_h_sync    : out std_logic_vector(1 downto 0);         -- vid_h_sync
			alt_vip_cl_cvo_clocked_video_vid_f         : out std_logic_vector(1 downto 0);         -- vid_f
			alt_vip_cl_cvo_clocked_video_vid_h         : out std_logic_vector(1 downto 0);         -- vid_h
			alt_vip_cl_cvo_clocked_video_vid_v         : out std_logic_vector(1 downto 0);         -- vid_v
			clock_in_clk_clk                           : in  std_logic                     := 'X'; -- clk
			reset_in_reset_reset_n                     : in  std_logic                     := 'X'  -- reset_n
		);
	end component Test_Pattern;

	u0 : component Test_Pattern
		port map (
			alt_vip_cl_cvo_clocked_video_vid_clk       => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_clk,       -- alt_vip_cl_cvo_clocked_video.vid_clk
			alt_vip_cl_cvo_clocked_video_vid_data      => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_data,      --                             .vid_data
			alt_vip_cl_cvo_clocked_video_underflow     => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_underflow,     --                             .underflow
			alt_vip_cl_cvo_clocked_video_vid_datavalid => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_datavalid, --                             .vid_datavalid
			alt_vip_cl_cvo_clocked_video_vid_v_sync    => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_v_sync,    --                             .vid_v_sync
			alt_vip_cl_cvo_clocked_video_vid_h_sync    => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_h_sync,    --                             .vid_h_sync
			alt_vip_cl_cvo_clocked_video_vid_f         => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_f,         --                             .vid_f
			alt_vip_cl_cvo_clocked_video_vid_h         => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_h,         --                             .vid_h
			alt_vip_cl_cvo_clocked_video_vid_v         => CONNECTED_TO_alt_vip_cl_cvo_clocked_video_vid_v,         --                             .vid_v
			clock_in_clk_clk                           => CONNECTED_TO_clock_in_clk_clk,                           --                 clock_in_clk.clk
			reset_in_reset_reset_n                     => CONNECTED_TO_reset_in_reset_reset_n                      --               reset_in_reset.reset_n
		);

