module hdmi_rx (
		input  wire         reset,                //                reset.export
		input  wire         reset_vid,            //            reset_vid.export
		input  wire         vid_clk,              //              vid_clk.export
		input  wire         ls_clk,               //               ls_clk.export
		output wire         locked,               //               locked.export
		output wire         mode,                 //                 mode.export
		output wire [11:0]  ctrl,                 //                 ctrl.export
		output wire         vid_lock,             //             vid_lock.export
		output wire [1:0]   vid_de,               //               vid_de.export
		output wire [95:0]  vid_data,             //             vid_data.export
		output wire [1:0]   vid_hsync,            //            vid_hsync.export
		output wire [1:0]   vid_vsync,            //            vid_vsync.export
		input  wire [19:0]  in_b,                 //                 in_b.export
		input  wire [19:0]  in_r,                 //                 in_r.export
		input  wire [19:0]  in_g,                 //                 in_g.export
		input  wire         in_lock,              //              in_lock.export
		output wire         aux_valid,            //            aux_valid.export
		output wire [71:0]  aux_data,             //             aux_data.export
		output wire         aux_sop,              //              aux_sop.export
		output wire         aux_eop,              //              aux_eop.export
		output wire         aux_error,            //            aux_error.export
		output wire [5:0]   gcp,                  //                  gcp.export
		output wire [111:0] info_avi,             //             info_avi.export
		output wire [60:0]  info_vsi,             //             info_vsi.export
		output wire [6:0]   aux_pkt_addr,         //         aux_pkt_addr.export
		output wire [71:0]  aux_pkt_data,         //         aux_pkt_data.export
		output wire         aux_pkt_wr,           //           aux_pkt_wr.export
		output wire [19:0]  audio_CTS,            //            audio_CTS.export
		output wire [19:0]  audio_N,              //              audio_N.export
		output wire [255:0] audio_data,           //           audio_data.export
		output wire         audio_de,             //             audio_de.export
		output wire [47:0]  audio_info_ai,        //        audio_info_ai.export
		output wire [164:0] audio_metadata,       //       audio_metadata.export
		output wire [4:0]   audio_format,         //         audio_format.export
		input  wire         scdc_i2c_clk,         //         scdc_i2c_clk.clk
		input  wire [7:0]   scdc_i2c_addr,        //        scdc_i2c_addr.export
		input  wire [7:0]   scdc_i2c_wdata,       //       scdc_i2c_wdata.export
		input  wire         scdc_i2c_r,           //           scdc_i2c_r.export
		input  wire         scdc_i2c_w,           //           scdc_i2c_w.export
		output wire [7:0]   scdc_i2c_rdata,       //       scdc_i2c_rdata.export
		output wire         TMDS_Bit_clock_Ratio, // TMDS_Bit_clock_Ratio.export
		input  wire         in_5v_power,          //          in_5v_power.export
		input  wire         in_hpd                //               in_hpd.export
	);
endmodule

