	component avalon_st_multiplexer is
		port (
			clk_clk                       : in  std_logic                     := 'X';             -- clk
			multiplexer_in0_data          : in  std_logic_vector(71 downto 0) := (others => 'X'); -- data
			multiplexer_in0_endofpacket   : in  std_logic                     := 'X';             -- endofpacket
			multiplexer_in0_ready         : out std_logic;                                        -- ready
			multiplexer_in0_startofpacket : in  std_logic                     := 'X';             -- startofpacket
			multiplexer_in0_valid         : in  std_logic                     := 'X';             -- valid
			multiplexer_in1_data          : in  std_logic_vector(71 downto 0) := (others => 'X'); -- data
			multiplexer_in1_endofpacket   : in  std_logic                     := 'X';             -- endofpacket
			multiplexer_in1_ready         : out std_logic;                                        -- ready
			multiplexer_in1_startofpacket : in  std_logic                     := 'X';             -- startofpacket
			multiplexer_in1_valid         : in  std_logic                     := 'X';             -- valid
			multiplexer_out_channel       : out std_logic;                                        -- channel
			multiplexer_out_data          : out std_logic_vector(71 downto 0);                    -- data
			multiplexer_out_endofpacket   : out std_logic;                                        -- endofpacket
			multiplexer_out_ready         : in  std_logic                     := 'X';             -- ready
			multiplexer_out_startofpacket : out std_logic;                                        -- startofpacket
			multiplexer_out_valid         : out std_logic;                                        -- valid
			reset_reset_n                 : in  std_logic                     := 'X'              -- reset_n
		);
	end component avalon_st_multiplexer;

	u0 : component avalon_st_multiplexer
		port map (
			clk_clk                       => CONNECTED_TO_clk_clk,                       --             clk.clk
			multiplexer_in0_data          => CONNECTED_TO_multiplexer_in0_data,          -- multiplexer_in0.data
			multiplexer_in0_endofpacket   => CONNECTED_TO_multiplexer_in0_endofpacket,   --                .endofpacket
			multiplexer_in0_ready         => CONNECTED_TO_multiplexer_in0_ready,         --                .ready
			multiplexer_in0_startofpacket => CONNECTED_TO_multiplexer_in0_startofpacket, --                .startofpacket
			multiplexer_in0_valid         => CONNECTED_TO_multiplexer_in0_valid,         --                .valid
			multiplexer_in1_data          => CONNECTED_TO_multiplexer_in1_data,          -- multiplexer_in1.data
			multiplexer_in1_endofpacket   => CONNECTED_TO_multiplexer_in1_endofpacket,   --                .endofpacket
			multiplexer_in1_ready         => CONNECTED_TO_multiplexer_in1_ready,         --                .ready
			multiplexer_in1_startofpacket => CONNECTED_TO_multiplexer_in1_startofpacket, --                .startofpacket
			multiplexer_in1_valid         => CONNECTED_TO_multiplexer_in1_valid,         --                .valid
			multiplexer_out_channel       => CONNECTED_TO_multiplexer_out_channel,       -- multiplexer_out.channel
			multiplexer_out_data          => CONNECTED_TO_multiplexer_out_data,          --                .data
			multiplexer_out_endofpacket   => CONNECTED_TO_multiplexer_out_endofpacket,   --                .endofpacket
			multiplexer_out_ready         => CONNECTED_TO_multiplexer_out_ready,         --                .ready
			multiplexer_out_startofpacket => CONNECTED_TO_multiplexer_out_startofpacket, --                .startofpacket
			multiplexer_out_valid         => CONNECTED_TO_multiplexer_out_valid,         --                .valid
			reset_reset_n                 => CONNECTED_TO_reset_reset_n                  --           reset.reset_n
		);

