@echo off
@ REM ######################################
@ REM # Variable to ignore <CR> in DOS
@ REM # line endings
@ set SHELLOPTS=igncr

@ REM ######################################
@ REM # Variable to ignore mixed paths
@ REM # i.e. G:/$SOPC_KIT_NIOS2/bin
@ set CYGWIN=nodosfilewarning

@ set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin
@ if not exist "%QUARTUS_BIN%" set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin64



:menu
echo **********************************
echo Plesase select a ALT_E40 Port for testing
echo "1" for ALT_E40
echo Note, make sure loopback fixtures are installed.
 echo **********************************
 choice /C 1 /M "Please enter your choise:" 
if errorlevel 1 goto alt_e40 
goto menu:

:alt_e40
set test.sof=.\eth_ex_40g.sof
goto test


:test
%QUARTUS_BIN%\\quartus_pgm.exe -m jtag -c 1 -o "p;%test.sof%" 
%QUARTUS_ROOTDIR%\sopc_builder\bin\system-console.exe --desktop_script=alt_e40s.tcl

