module ex_40g_s10_altera_xcvr_native_s10_htile_181_btuf74a (
		input  wire [3:0]   tx_analogreset,          //          tx_analogreset.tx_analogreset
		input  wire [3:0]   rx_analogreset,          //          rx_analogreset.rx_analogreset
		input  wire [3:0]   tx_digitalreset,         //         tx_digitalreset.tx_digitalreset
		input  wire [3:0]   rx_digitalreset,         //         rx_digitalreset.rx_digitalreset
		output wire [3:0]   tx_analogreset_stat,     //     tx_analogreset_stat.tx_analogreset_stat
		output wire [3:0]   rx_analogreset_stat,     //     rx_analogreset_stat.rx_analogreset_stat
		output wire [3:0]   tx_digitalreset_stat,    //    tx_digitalreset_stat.tx_digitalreset_stat
		output wire [3:0]   rx_digitalreset_stat,    //    rx_digitalreset_stat.rx_digitalreset_stat
		output wire [3:0]   tx_dll_lock,             //             tx_dll_lock.tx_dll_lock
		output wire [3:0]   tx_cal_busy,             //             tx_cal_busy.tx_cal_busy
		output wire [3:0]   rx_cal_busy,             //             rx_cal_busy.rx_cal_busy
		input  wire [3:0]   tx_serial_clk0,          //          tx_serial_clk0.clk
		input  wire         rx_cdr_refclk0,          //          rx_cdr_refclk0.clk
		output wire [3:0]   tx_serial_data,          //          tx_serial_data.tx_serial_data
		input  wire [3:0]   rx_serial_data,          //          rx_serial_data.rx_serial_data
		input  wire [3:0]   rx_seriallpbken,         //         rx_seriallpbken.rx_seriallpbken
		input  wire [3:0]   rx_set_locktodata,       //       rx_set_locktodata.rx_set_locktodata
		input  wire [3:0]   rx_set_locktoref,        //        rx_set_locktoref.rx_set_locktoref
		output wire [3:0]   rx_is_lockedtoref,       //       rx_is_lockedtoref.rx_is_lockedtoref
		output wire [3:0]   rx_is_lockedtodata,      //      rx_is_lockedtodata.rx_is_lockedtodata
		input  wire [3:0]   tx_coreclkin,            //            tx_coreclkin.clk
		input  wire [3:0]   rx_coreclkin,            //            rx_coreclkin.clk
		output wire [3:0]   tx_clkout,               //               tx_clkout.clk
		output wire [3:0]   rx_clkout,               //               rx_clkout.clk
		output wire [3:0]   rx_pma_iqtxrx_clkout,    //    rx_pma_iqtxrx_clkout.clk
		input  wire [319:0] tx_parallel_data,        //        tx_parallel_data.tx_parallel_data
		output wire [319:0] rx_parallel_data,        //        rx_parallel_data.rx_parallel_data
		input  wire [3:0]   rx_bitslip,              //              rx_bitslip.rx_bitslip
		output wire [3:0]   tx_fifo_full,            //            tx_fifo_full.tx_fifo_full
		output wire [3:0]   tx_fifo_empty,           //           tx_fifo_empty.tx_fifo_empty
		output wire [3:0]   tx_fifo_pfull,           //           tx_fifo_pfull.tx_fifo_pfull
		output wire [3:0]   tx_fifo_pempty,          //          tx_fifo_pempty.tx_fifo_pempty
		output wire [3:0]   rx_fifo_full,            //            rx_fifo_full.rx_fifo_full
		output wire [3:0]   rx_fifo_empty,           //           rx_fifo_empty.rx_fifo_empty
		output wire [3:0]   rx_fifo_pfull,           //           rx_fifo_pfull.rx_fifo_pfull
		output wire [3:0]   rx_fifo_pempty,          //          rx_fifo_pempty.rx_fifo_pempty
		input  wire [3:0]   rx_fifo_rd_en,           //           rx_fifo_rd_en.rx_fifo_rd_en
		input  wire [3:0]   rx_enh_clr_errblk_count, // rx_enh_clr_errblk_count.rx_enh_clr_errblk_count
		output wire [3:0]   rx_enh_blk_lock,         //         rx_enh_blk_lock.rx_enh_blk_lock
		input  wire [0:0]   reconfig_clk,            //            reconfig_clk.clk
		input  wire [0:0]   reconfig_reset,          //          reconfig_reset.reset
		input  wire [0:0]   reconfig_write,          //           reconfig_avmm.write
		input  wire [0:0]   reconfig_read,           //                        .read
		input  wire [12:0]  reconfig_address,        //                        .address
		input  wire [31:0]  reconfig_writedata,      //                        .writedata
		output wire [31:0]  reconfig_readdata,       //                        .readdata
		output wire [0:0]   reconfig_waitrequest     //                        .waitrequest
	);
endmodule

