module hdmi_tx (
		input  wire         reset,                //                reset.export
		input  wire         reset_vid,            //            reset_vid.export
		input  wire         vid_clk,              //              vid_clk.export
		input  wire         ls_clk,               //               ls_clk.export
		input  wire         mode,                 //                 mode.export
		input  wire [1:0]   vid_de,               //               vid_de.export
		input  wire [95:0]  vid_data,             //             vid_data.export
		input  wire [1:0]   vid_hsync,            //            vid_hsync.export
		input  wire [1:0]   vid_vsync,            //            vid_vsync.export
		output wire [19:0]  out_b,                //                out_b.export
		output wire [19:0]  out_r,                //                out_r.export
		output wire [19:0]  out_g,                //                out_g.export
		output wire [19:0]  out_c,                //                out_c.export
		output wire         aux_ready,            //            aux_ready.export
		input  wire         aux_valid,            //            aux_valid.export
		input  wire [71:0]  aux_data,             //             aux_data.export
		input  wire         aux_sop,              //              aux_sop.export
		input  wire         aux_eop,              //              aux_eop.export
		input  wire [5:0]   gcp,                  //                  gcp.export
		input  wire [112:0] info_avi,             //             info_avi.export
		input  wire [61:0]  info_vsi,             //             info_vsi.export
		input  wire         audio_clk,            //            audio_clk.clk
		input  wire [19:0]  audio_CTS,            //            audio_CTS.export
		input  wire [19:0]  audio_N,              //              audio_N.export
		input  wire [255:0] audio_data,           //           audio_data.export
		input  wire         audio_de,             //             audio_de.export
		input  wire         audio_mute,           //           audio_mute.export
		input  wire [48:0]  audio_info_ai,        //        audio_info_ai.export
		input  wire [165:0] audio_metadata,       //       audio_metadata.export
		input  wire [4:0]   audio_format,         //         audio_format.export
		input  wire         Scrambler_Enable,     //     Scrambler_Enable.export
		input  wire         TMDS_Bit_clock_Ratio, // TMDS_Bit_clock_Ratio.export
		input  wire [11:0]  ctrl                  //                 ctrl.export
	);
endmodule

