	component hdmi_tx is
		port (
			reset                : in  std_logic                      := 'X';             -- export
			reset_vid            : in  std_logic                      := 'X';             -- export
			vid_clk              : in  std_logic                      := 'X';             -- export
			ls_clk               : in  std_logic                      := 'X';             -- export
			mode                 : in  std_logic                      := 'X';             -- export
			vid_de               : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- export
			vid_data             : in  std_logic_vector(95 downto 0)  := (others => 'X'); -- export
			vid_hsync            : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- export
			vid_vsync            : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- export
			out_b                : out std_logic_vector(19 downto 0);                     -- export
			out_r                : out std_logic_vector(19 downto 0);                     -- export
			out_g                : out std_logic_vector(19 downto 0);                     -- export
			out_c                : out std_logic_vector(19 downto 0);                     -- export
			aux_ready            : out std_logic;                                         -- export
			aux_valid            : in  std_logic                      := 'X';             -- export
			aux_data             : in  std_logic_vector(71 downto 0)  := (others => 'X'); -- export
			aux_sop              : in  std_logic                      := 'X';             -- export
			aux_eop              : in  std_logic                      := 'X';             -- export
			gcp                  : in  std_logic_vector(5 downto 0)   := (others => 'X'); -- export
			info_avi             : in  std_logic_vector(112 downto 0) := (others => 'X'); -- export
			info_vsi             : in  std_logic_vector(61 downto 0)  := (others => 'X'); -- export
			audio_clk            : in  std_logic                      := 'X';             -- clk
			audio_CTS            : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- export
			audio_N              : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- export
			audio_data           : in  std_logic_vector(255 downto 0) := (others => 'X'); -- export
			audio_de             : in  std_logic                      := 'X';             -- export
			audio_mute           : in  std_logic                      := 'X';             -- export
			audio_info_ai        : in  std_logic_vector(48 downto 0)  := (others => 'X'); -- export
			audio_metadata       : in  std_logic_vector(165 downto 0) := (others => 'X'); -- export
			audio_format         : in  std_logic_vector(4 downto 0)   := (others => 'X'); -- export
			Scrambler_Enable     : in  std_logic                      := 'X';             -- export
			TMDS_Bit_clock_Ratio : in  std_logic                      := 'X';             -- export
			ctrl                 : in  std_logic_vector(11 downto 0)  := (others => 'X')  -- export
		);
	end component hdmi_tx;

	u0 : component hdmi_tx
		port map (
			reset                => CONNECTED_TO_reset,                --                reset.export
			reset_vid            => CONNECTED_TO_reset_vid,            --            reset_vid.export
			vid_clk              => CONNECTED_TO_vid_clk,              --              vid_clk.export
			ls_clk               => CONNECTED_TO_ls_clk,               --               ls_clk.export
			mode                 => CONNECTED_TO_mode,                 --                 mode.export
			vid_de               => CONNECTED_TO_vid_de,               --               vid_de.export
			vid_data             => CONNECTED_TO_vid_data,             --             vid_data.export
			vid_hsync            => CONNECTED_TO_vid_hsync,            --            vid_hsync.export
			vid_vsync            => CONNECTED_TO_vid_vsync,            --            vid_vsync.export
			out_b                => CONNECTED_TO_out_b,                --                out_b.export
			out_r                => CONNECTED_TO_out_r,                --                out_r.export
			out_g                => CONNECTED_TO_out_g,                --                out_g.export
			out_c                => CONNECTED_TO_out_c,                --                out_c.export
			aux_ready            => CONNECTED_TO_aux_ready,            --            aux_ready.export
			aux_valid            => CONNECTED_TO_aux_valid,            --            aux_valid.export
			aux_data             => CONNECTED_TO_aux_data,             --             aux_data.export
			aux_sop              => CONNECTED_TO_aux_sop,              --              aux_sop.export
			aux_eop              => CONNECTED_TO_aux_eop,              --              aux_eop.export
			gcp                  => CONNECTED_TO_gcp,                  --                  gcp.export
			info_avi             => CONNECTED_TO_info_avi,             --             info_avi.export
			info_vsi             => CONNECTED_TO_info_vsi,             --             info_vsi.export
			audio_clk            => CONNECTED_TO_audio_clk,            --            audio_clk.clk
			audio_CTS            => CONNECTED_TO_audio_CTS,            --            audio_CTS.export
			audio_N              => CONNECTED_TO_audio_N,              --              audio_N.export
			audio_data           => CONNECTED_TO_audio_data,           --           audio_data.export
			audio_de             => CONNECTED_TO_audio_de,             --             audio_de.export
			audio_mute           => CONNECTED_TO_audio_mute,           --           audio_mute.export
			audio_info_ai        => CONNECTED_TO_audio_info_ai,        --        audio_info_ai.export
			audio_metadata       => CONNECTED_TO_audio_metadata,       --       audio_metadata.export
			audio_format         => CONNECTED_TO_audio_format,         --         audio_format.export
			Scrambler_Enable     => CONNECTED_TO_Scrambler_Enable,     --     Scrambler_Enable.export
			TMDS_Bit_clock_Ratio => CONNECTED_TO_TMDS_Bit_clock_Ratio, -- TMDS_Bit_clock_Ratio.export
			ctrl                 => CONNECTED_TO_ctrl                  --                 ctrl.export
		);

