	component nios is
		port (
			color_depth_pio_external_connection_export                : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			clock_bridge_0_in_clk_clk                                 : in  std_logic                     := 'X';             -- clk
			reset_bridge_0_in_reset_reset_n                           : in  std_logic                     := 'X';             -- reset_n
			edid_ram_access_pio_external_connection_export            : out std_logic;                                        -- export
			edid_ram_slave_translator_address                         : out std_logic_vector(7 downto 0);                     -- address
			edid_ram_slave_translator_write                           : out std_logic;                                        -- write
			edid_ram_slave_translator_read                            : out std_logic;                                        -- read
			edid_ram_slave_translator_readdata                        : in  std_logic_vector(7 downto 0)  := (others => 'X'); -- readdata
			edid_ram_slave_translator_writedata                       : out std_logic_vector(7 downto 0);                     -- writedata
			edid_ram_slave_translator_waitrequest                     : in  std_logic                     := 'X';             -- waitrequest
			i2c_master_i2c_serial_sda_in                              : in  std_logic                     := 'X';             -- sda_in
			i2c_master_i2c_serial_scl_in                              : in  std_logic                     := 'X';             -- scl_in
			i2c_master_i2c_serial_sda_oe                              : out std_logic;                                        -- sda_oe
			i2c_master_i2c_serial_scl_oe                              : out std_logic;                                        -- scl_oe
			i2c_master_ti_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_master_ti_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_master_ti_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_master_ti_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			measure_pio_external_connection_export                    : in  std_logic_vector(23 downto 0) := (others => 'X'); -- export
			measure_valid_ack_export                                  : out std_logic;                                        -- export
			measure_valid_req_export                                  : in  std_logic                     := 'X';             -- export
			tmds_bit_clock_ratio_pio_external_connection_export       : in  std_logic                     := 'X';             -- export
			tx_hpd_ack_pio_external_connection_export                 : out std_logic;                                        -- export
			tx_hpd_req_pio_external_connection_export                 : in  std_logic                     := 'X';             -- export
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_address   : out std_logic_vector(9 downto 0);                     -- address
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_write     : out std_logic;                                        -- write
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_read      : out std_logic;                                        -- read
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_readdata  : in  std_logic_vector(31 downto 0) := (others => 'X'); -- readdata
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_writedata : out std_logic_vector(31 downto 0);                    -- writedata
			tx_iopll_waitrequest_pio_external_connection_export       : in  std_logic                     := 'X';             -- export
			tx_os_pio_external_connection_export                      : out std_logic_vector(1 downto 0);                     -- export
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_address     : out std_logic_vector(10 downto 0);                    -- address
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_write       : out std_logic;                                        -- write
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_read        : out std_logic;                                        -- read
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_readdata    : in  std_logic_vector(31 downto 0) := (others => 'X'); -- readdata
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_writedata   : out std_logic_vector(31 downto 0);                    -- writedata
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_waitrequest : in  std_logic                     := 'X';             -- waitrequest
			tx_pll_waitrequest_pio_external_connection_export         : in  std_logic                     := 'X';             -- export
			tx_pma_cal_busy_pio_external_connection_export            : in  std_logic                     := 'X';             -- export
			tx_pma_ch_export                                          : out std_logic_vector(1 downto 0);                     -- export
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_address     : out std_logic_vector(12 downto 0);                    -- address
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_write       : out std_logic;                                        -- write
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_read        : out std_logic;                                        -- read
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_readdata    : in  std_logic_vector(31 downto 0) := (others => 'X'); -- readdata
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_writedata   : out std_logic_vector(31 downto 0);                    -- writedata
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_waitrequest : in  std_logic                     := 'X';             -- waitrequest
			tx_pma_waitrequest_pio_external_connection_export         : in  std_logic                     := 'X';             -- export
			tx_rcfg_en_pio_external_connection_export                 : out std_logic;                                        -- export
			tx_rst_pll_pio_external_connection_export                 : out std_logic;                                        -- export
			tx_rst_xcvr_pio_external_connection_export                : out std_logic;                                        -- export
			wd_timer_resetrequest_reset                               : out std_logic                                         -- reset
		);
	end component nios;

	u0 : component nios
		port map (
			color_depth_pio_external_connection_export                => CONNECTED_TO_color_depth_pio_external_connection_export,                --             color_depth_pio_external_connection.export
			clock_bridge_0_in_clk_clk                                 => CONNECTED_TO_clock_bridge_0_in_clk_clk,                                 --                           clock_bridge_0_in_clk.clk
			reset_bridge_0_in_reset_reset_n                           => CONNECTED_TO_reset_bridge_0_in_reset_reset_n,                           --                         reset_bridge_0_in_reset.reset_n
			edid_ram_access_pio_external_connection_export            => CONNECTED_TO_edid_ram_access_pio_external_connection_export,            --         edid_ram_access_pio_external_connection.export
			edid_ram_slave_translator_address                         => CONNECTED_TO_edid_ram_slave_translator_address,                         --                       edid_ram_slave_translator.address
			edid_ram_slave_translator_write                           => CONNECTED_TO_edid_ram_slave_translator_write,                           --                                                .write
			edid_ram_slave_translator_read                            => CONNECTED_TO_edid_ram_slave_translator_read,                            --                                                .read
			edid_ram_slave_translator_readdata                        => CONNECTED_TO_edid_ram_slave_translator_readdata,                        --                                                .readdata
			edid_ram_slave_translator_writedata                       => CONNECTED_TO_edid_ram_slave_translator_writedata,                       --                                                .writedata
			edid_ram_slave_translator_waitrequest                     => CONNECTED_TO_edid_ram_slave_translator_waitrequest,                     --                                                .waitrequest
			i2c_master_i2c_serial_sda_in                              => CONNECTED_TO_i2c_master_i2c_serial_sda_in,                              --                           i2c_master_i2c_serial.sda_in
			i2c_master_i2c_serial_scl_in                              => CONNECTED_TO_i2c_master_i2c_serial_scl_in,                              --                                                .scl_in
			i2c_master_i2c_serial_sda_oe                              => CONNECTED_TO_i2c_master_i2c_serial_sda_oe,                              --                                                .sda_oe
			i2c_master_i2c_serial_scl_oe                              => CONNECTED_TO_i2c_master_i2c_serial_scl_oe,                              --                                                .scl_oe
			i2c_master_ti_i2c_serial_sda_in                           => CONNECTED_TO_i2c_master_ti_i2c_serial_sda_in,                           --                        i2c_master_ti_i2c_serial.sda_in
			i2c_master_ti_i2c_serial_scl_in                           => CONNECTED_TO_i2c_master_ti_i2c_serial_scl_in,                           --                                                .scl_in
			i2c_master_ti_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_master_ti_i2c_serial_sda_oe,                           --                                                .sda_oe
			i2c_master_ti_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_master_ti_i2c_serial_scl_oe,                           --                                                .scl_oe
			measure_pio_external_connection_export                    => CONNECTED_TO_measure_pio_external_connection_export,                    --                 measure_pio_external_connection.export
			measure_valid_ack_export                                  => CONNECTED_TO_measure_valid_ack_export,                                  --                               measure_valid_ack.export
			measure_valid_req_export                                  => CONNECTED_TO_measure_valid_req_export,                                  --                               measure_valid_req.export
			tmds_bit_clock_ratio_pio_external_connection_export       => CONNECTED_TO_tmds_bit_clock_ratio_pio_external_connection_export,       --    tmds_bit_clock_ratio_pio_external_connection.export
			tx_hpd_ack_pio_external_connection_export                 => CONNECTED_TO_tx_hpd_ack_pio_external_connection_export,                 --              tx_hpd_ack_pio_external_connection.export
			tx_hpd_req_pio_external_connection_export                 => CONNECTED_TO_tx_hpd_req_pio_external_connection_export,                 --              tx_hpd_req_pio_external_connection.export
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_address   => CONNECTED_TO_tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_address,   -- tx_iopll_rcfg_mgmt_translator_avalon_anti_slave.address
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_write     => CONNECTED_TO_tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_write,     --                                                .write
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_read      => CONNECTED_TO_tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_read,      --                                                .read
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_readdata  => CONNECTED_TO_tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_readdata,  --                                                .readdata
			tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_writedata => CONNECTED_TO_tx_iopll_rcfg_mgmt_translator_avalon_anti_slave_writedata, --                                                .writedata
			tx_iopll_waitrequest_pio_external_connection_export       => CONNECTED_TO_tx_iopll_waitrequest_pio_external_connection_export,       --    tx_iopll_waitrequest_pio_external_connection.export
			tx_os_pio_external_connection_export                      => CONNECTED_TO_tx_os_pio_external_connection_export,                      --                   tx_os_pio_external_connection.export
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_address     => CONNECTED_TO_tx_pll_rcfg_mgmt_translator_avalon_anti_slave_address,     --   tx_pll_rcfg_mgmt_translator_avalon_anti_slave.address
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_write       => CONNECTED_TO_tx_pll_rcfg_mgmt_translator_avalon_anti_slave_write,       --                                                .write
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_read        => CONNECTED_TO_tx_pll_rcfg_mgmt_translator_avalon_anti_slave_read,        --                                                .read
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_readdata    => CONNECTED_TO_tx_pll_rcfg_mgmt_translator_avalon_anti_slave_readdata,    --                                                .readdata
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_writedata   => CONNECTED_TO_tx_pll_rcfg_mgmt_translator_avalon_anti_slave_writedata,   --                                                .writedata
			tx_pll_rcfg_mgmt_translator_avalon_anti_slave_waitrequest => CONNECTED_TO_tx_pll_rcfg_mgmt_translator_avalon_anti_slave_waitrequest, --                                                .waitrequest
			tx_pll_waitrequest_pio_external_connection_export         => CONNECTED_TO_tx_pll_waitrequest_pio_external_connection_export,         --      tx_pll_waitrequest_pio_external_connection.export
			tx_pma_cal_busy_pio_external_connection_export            => CONNECTED_TO_tx_pma_cal_busy_pio_external_connection_export,            --         tx_pma_cal_busy_pio_external_connection.export
			tx_pma_ch_export                                          => CONNECTED_TO_tx_pma_ch_export,                                          --                                       tx_pma_ch.export
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_address     => CONNECTED_TO_tx_pma_rcfg_mgmt_translator_avalon_anti_slave_address,     --   tx_pma_rcfg_mgmt_translator_avalon_anti_slave.address
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_write       => CONNECTED_TO_tx_pma_rcfg_mgmt_translator_avalon_anti_slave_write,       --                                                .write
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_read        => CONNECTED_TO_tx_pma_rcfg_mgmt_translator_avalon_anti_slave_read,        --                                                .read
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_readdata    => CONNECTED_TO_tx_pma_rcfg_mgmt_translator_avalon_anti_slave_readdata,    --                                                .readdata
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_writedata   => CONNECTED_TO_tx_pma_rcfg_mgmt_translator_avalon_anti_slave_writedata,   --                                                .writedata
			tx_pma_rcfg_mgmt_translator_avalon_anti_slave_waitrequest => CONNECTED_TO_tx_pma_rcfg_mgmt_translator_avalon_anti_slave_waitrequest, --                                                .waitrequest
			tx_pma_waitrequest_pio_external_connection_export         => CONNECTED_TO_tx_pma_waitrequest_pio_external_connection_export,         --      tx_pma_waitrequest_pio_external_connection.export
			tx_rcfg_en_pio_external_connection_export                 => CONNECTED_TO_tx_rcfg_en_pio_external_connection_export,                 --              tx_rcfg_en_pio_external_connection.export
			tx_rst_pll_pio_external_connection_export                 => CONNECTED_TO_tx_rst_pll_pio_external_connection_export,                 --              tx_rst_pll_pio_external_connection.export
			tx_rst_xcvr_pio_external_connection_export                => CONNECTED_TO_tx_rst_xcvr_pio_external_connection_export,                --             tx_rst_xcvr_pio_external_connection.export
			wd_timer_resetrequest_reset                               => CONNECTED_TO_wd_timer_resetrequest_reset                                --                           wd_timer_resetrequest.reset
		);

