module ep_g3x8_avmmdma256_integrated (
		input  wire        refclk_clk,                                                       //                                   refclk.clk
		input  wire        pcie_rstn_npor,                                                   //                                pcie_rstn.npor
		input  wire        pcie_rstn_pin_perst,                                              //                                         .pin_perst
		input  wire        ninit_done_ninit_done,                                            //                               ninit_done.ninit_done
		input  wire        hip_ctrl_simu_mode_pipe,                                          //                                 hip_ctrl.simu_mode_pipe
		input  wire [66:0] hip_ctrl_test_in,                                                 //                                         .test_in
		input  wire        pipe_sim_only_sim_pipe_pclk_in,                                   //                            pipe_sim_only.sim_pipe_pclk_in
		output wire [1:0]  pipe_sim_only_sim_pipe_rate,                                      //                                         .sim_pipe_rate
		output wire [5:0]  pipe_sim_only_sim_ltssmstate,                                     //                                         .sim_ltssmstate
		output wire [31:0] pipe_sim_only_txdata0,                                            //                                         .txdata0
		output wire [31:0] pipe_sim_only_txdata1,                                            //                                         .txdata1
		output wire [31:0] pipe_sim_only_txdata2,                                            //                                         .txdata2
		output wire [31:0] pipe_sim_only_txdata3,                                            //                                         .txdata3
		output wire [3:0]  pipe_sim_only_txdatak0,                                           //                                         .txdatak0
		output wire [3:0]  pipe_sim_only_txdatak1,                                           //                                         .txdatak1
		output wire [3:0]  pipe_sim_only_txdatak2,                                           //                                         .txdatak2
		output wire [3:0]  pipe_sim_only_txdatak3,                                           //                                         .txdatak3
		output wire        pipe_sim_only_txcompl0,                                           //                                         .txcompl0
		output wire        pipe_sim_only_txcompl1,                                           //                                         .txcompl1
		output wire        pipe_sim_only_txcompl2,                                           //                                         .txcompl2
		output wire        pipe_sim_only_txcompl3,                                           //                                         .txcompl3
		output wire        pipe_sim_only_txelecidle0,                                        //                                         .txelecidle0
		output wire        pipe_sim_only_txelecidle1,                                        //                                         .txelecidle1
		output wire        pipe_sim_only_txelecidle2,                                        //                                         .txelecidle2
		output wire        pipe_sim_only_txelecidle3,                                        //                                         .txelecidle3
		output wire        pipe_sim_only_txdetectrx0,                                        //                                         .txdetectrx0
		output wire        pipe_sim_only_txdetectrx1,                                        //                                         .txdetectrx1
		output wire        pipe_sim_only_txdetectrx2,                                        //                                         .txdetectrx2
		output wire        pipe_sim_only_txdetectrx3,                                        //                                         .txdetectrx3
		output wire [1:0]  pipe_sim_only_powerdown0,                                         //                                         .powerdown0
		output wire [1:0]  pipe_sim_only_powerdown1,                                         //                                         .powerdown1
		output wire [1:0]  pipe_sim_only_powerdown2,                                         //                                         .powerdown2
		output wire [1:0]  pipe_sim_only_powerdown3,                                         //                                         .powerdown3
		output wire [2:0]  pipe_sim_only_txmargin0,                                          //                                         .txmargin0
		output wire [2:0]  pipe_sim_only_txmargin1,                                          //                                         .txmargin1
		output wire [2:0]  pipe_sim_only_txmargin2,                                          //                                         .txmargin2
		output wire [2:0]  pipe_sim_only_txmargin3,                                          //                                         .txmargin3
		output wire        pipe_sim_only_txdeemph0,                                          //                                         .txdeemph0
		output wire        pipe_sim_only_txdeemph1,                                          //                                         .txdeemph1
		output wire        pipe_sim_only_txdeemph2,                                          //                                         .txdeemph2
		output wire        pipe_sim_only_txdeemph3,                                          //                                         .txdeemph3
		output wire        pipe_sim_only_txswing0,                                           //                                         .txswing0
		output wire        pipe_sim_only_txswing1,                                           //                                         .txswing1
		output wire        pipe_sim_only_txswing2,                                           //                                         .txswing2
		output wire        pipe_sim_only_txswing3,                                           //                                         .txswing3
		output wire [1:0]  pipe_sim_only_txsynchd0,                                          //                                         .txsynchd0
		output wire [1:0]  pipe_sim_only_txsynchd1,                                          //                                         .txsynchd1
		output wire [1:0]  pipe_sim_only_txsynchd2,                                          //                                         .txsynchd2
		output wire [1:0]  pipe_sim_only_txsynchd3,                                          //                                         .txsynchd3
		output wire        pipe_sim_only_txblkst0,                                           //                                         .txblkst0
		output wire        pipe_sim_only_txblkst1,                                           //                                         .txblkst1
		output wire        pipe_sim_only_txblkst2,                                           //                                         .txblkst2
		output wire        pipe_sim_only_txblkst3,                                           //                                         .txblkst3
		output wire        pipe_sim_only_txdataskip0,                                        //                                         .txdataskip0
		output wire        pipe_sim_only_txdataskip1,                                        //                                         .txdataskip1
		output wire        pipe_sim_only_txdataskip2,                                        //                                         .txdataskip2
		output wire        pipe_sim_only_txdataskip3,                                        //                                         .txdataskip3
		output wire [1:0]  pipe_sim_only_rate0,                                              //                                         .rate0
		output wire [1:0]  pipe_sim_only_rate1,                                              //                                         .rate1
		output wire [1:0]  pipe_sim_only_rate2,                                              //                                         .rate2
		output wire [1:0]  pipe_sim_only_rate3,                                              //                                         .rate3
		output wire        pipe_sim_only_rxpolarity0,                                        //                                         .rxpolarity0
		output wire        pipe_sim_only_rxpolarity1,                                        //                                         .rxpolarity1
		output wire        pipe_sim_only_rxpolarity2,                                        //                                         .rxpolarity2
		output wire        pipe_sim_only_rxpolarity3,                                        //                                         .rxpolarity3
		output wire [2:0]  pipe_sim_only_currentrxpreset0,                                   //                                         .currentrxpreset0
		output wire [2:0]  pipe_sim_only_currentrxpreset1,                                   //                                         .currentrxpreset1
		output wire [2:0]  pipe_sim_only_currentrxpreset2,                                   //                                         .currentrxpreset2
		output wire [2:0]  pipe_sim_only_currentrxpreset3,                                   //                                         .currentrxpreset3
		output wire [17:0] pipe_sim_only_currentcoeff0,                                      //                                         .currentcoeff0
		output wire [17:0] pipe_sim_only_currentcoeff1,                                      //                                         .currentcoeff1
		output wire [17:0] pipe_sim_only_currentcoeff2,                                      //                                         .currentcoeff2
		output wire [17:0] pipe_sim_only_currentcoeff3,                                      //                                         .currentcoeff3
		output wire        pipe_sim_only_rxeqeval0,                                          //                                         .rxeqeval0
		output wire        pipe_sim_only_rxeqeval1,                                          //                                         .rxeqeval1
		output wire        pipe_sim_only_rxeqeval2,                                          //                                         .rxeqeval2
		output wire        pipe_sim_only_rxeqeval3,                                          //                                         .rxeqeval3
		output wire        pipe_sim_only_rxeqinprogress0,                                    //                                         .rxeqinprogress0
		output wire        pipe_sim_only_rxeqinprogress1,                                    //                                         .rxeqinprogress1
		output wire        pipe_sim_only_rxeqinprogress2,                                    //                                         .rxeqinprogress2
		output wire        pipe_sim_only_rxeqinprogress3,                                    //                                         .rxeqinprogress3
		output wire        pipe_sim_only_invalidreq0,                                        //                                         .invalidreq0
		output wire        pipe_sim_only_invalidreq1,                                        //                                         .invalidreq1
		output wire        pipe_sim_only_invalidreq2,                                        //                                         .invalidreq2
		output wire        pipe_sim_only_invalidreq3,                                        //                                         .invalidreq3
		input  wire [31:0] pipe_sim_only_rxdata0,                                            //                                         .rxdata0
		input  wire [31:0] pipe_sim_only_rxdata1,                                            //                                         .rxdata1
		input  wire [31:0] pipe_sim_only_rxdata2,                                            //                                         .rxdata2
		input  wire [31:0] pipe_sim_only_rxdata3,                                            //                                         .rxdata3
		input  wire [3:0]  pipe_sim_only_rxdatak0,                                           //                                         .rxdatak0
		input  wire [3:0]  pipe_sim_only_rxdatak1,                                           //                                         .rxdatak1
		input  wire [3:0]  pipe_sim_only_rxdatak2,                                           //                                         .rxdatak2
		input  wire [3:0]  pipe_sim_only_rxdatak3,                                           //                                         .rxdatak3
		input  wire        pipe_sim_only_phystatus0,                                         //                                         .phystatus0
		input  wire        pipe_sim_only_phystatus1,                                         //                                         .phystatus1
		input  wire        pipe_sim_only_phystatus2,                                         //                                         .phystatus2
		input  wire        pipe_sim_only_phystatus3,                                         //                                         .phystatus3
		input  wire        pipe_sim_only_rxvalid0,                                           //                                         .rxvalid0
		input  wire        pipe_sim_only_rxvalid1,                                           //                                         .rxvalid1
		input  wire        pipe_sim_only_rxvalid2,                                           //                                         .rxvalid2
		input  wire        pipe_sim_only_rxvalid3,                                           //                                         .rxvalid3
		input  wire [2:0]  pipe_sim_only_rxstatus0,                                          //                                         .rxstatus0
		input  wire [2:0]  pipe_sim_only_rxstatus1,                                          //                                         .rxstatus1
		input  wire [2:0]  pipe_sim_only_rxstatus2,                                          //                                         .rxstatus2
		input  wire [2:0]  pipe_sim_only_rxstatus3,                                          //                                         .rxstatus3
		input  wire        pipe_sim_only_rxelecidle0,                                        //                                         .rxelecidle0
		input  wire        pipe_sim_only_rxelecidle1,                                        //                                         .rxelecidle1
		input  wire        pipe_sim_only_rxelecidle2,                                        //                                         .rxelecidle2
		input  wire        pipe_sim_only_rxelecidle3,                                        //                                         .rxelecidle3
		input  wire [1:0]  pipe_sim_only_rxsynchd0,                                          //                                         .rxsynchd0
		input  wire [1:0]  pipe_sim_only_rxsynchd1,                                          //                                         .rxsynchd1
		input  wire [1:0]  pipe_sim_only_rxsynchd2,                                          //                                         .rxsynchd2
		input  wire [1:0]  pipe_sim_only_rxsynchd3,                                          //                                         .rxsynchd3
		input  wire        pipe_sim_only_rxblkst0,                                           //                                         .rxblkst0
		input  wire        pipe_sim_only_rxblkst1,                                           //                                         .rxblkst1
		input  wire        pipe_sim_only_rxblkst2,                                           //                                         .rxblkst2
		input  wire        pipe_sim_only_rxblkst3,                                           //                                         .rxblkst3
		input  wire        pipe_sim_only_rxdataskip0,                                        //                                         .rxdataskip0
		input  wire        pipe_sim_only_rxdataskip1,                                        //                                         .rxdataskip1
		input  wire        pipe_sim_only_rxdataskip2,                                        //                                         .rxdataskip2
		input  wire        pipe_sim_only_rxdataskip3,                                        //                                         .rxdataskip3
		input  wire [5:0]  pipe_sim_only_dirfeedback0,                                       //                                         .dirfeedback0
		input  wire [5:0]  pipe_sim_only_dirfeedback1,                                       //                                         .dirfeedback1
		input  wire [5:0]  pipe_sim_only_dirfeedback2,                                       //                                         .dirfeedback2
		input  wire [5:0]  pipe_sim_only_dirfeedback3,                                       //                                         .dirfeedback3
		input  wire        pipe_sim_only_sim_pipe_mask_tx_pll_lock,                          //                                         .sim_pipe_mask_tx_pll_lock
		input  wire        xcvr_rx_in0,                                                      //                                     xcvr.rx_in0
		input  wire        xcvr_rx_in1,                                                      //                                         .rx_in1
		input  wire        xcvr_rx_in2,                                                      //                                         .rx_in2
		input  wire        xcvr_rx_in3,                                                      //                                         .rx_in3
		output wire        xcvr_tx_out0,                                                     //                                         .tx_out0
		output wire        xcvr_tx_out1,                                                     //                                         .tx_out1
		output wire        xcvr_tx_out2,                                                     //                                         .tx_out2
		output wire        xcvr_tx_out3,                                                     //                                         .tx_out3
		input  wire        emif_s10_ddr4a_local_reset_req_local_reset_req,                   //           emif_s10_ddr4a_local_reset_req.local_reset_req
		output wire        emif_s10_ddr4a_local_reset_status_local_reset_done,               //        emif_s10_ddr4a_local_reset_status.local_reset_done
		input  wire        emif_s10_ddr4a_pll_ref_clk_clk,                                   //               emif_s10_ddr4a_pll_ref_clk.clk
		input  wire        emif_s10_ddr4a_oct_oct_rzqin,                                     //                       emif_s10_ddr4a_oct.oct_rzqin
		output wire [0:0]  emif_s10_ddr4a_mem_mem_ck,                                        //                       emif_s10_ddr4a_mem.mem_ck
		output wire [0:0]  emif_s10_ddr4a_mem_mem_ck_n,                                      //                                         .mem_ck_n
		output wire [16:0] emif_s10_ddr4a_mem_mem_a,                                         //                                         .mem_a
		output wire [0:0]  emif_s10_ddr4a_mem_mem_act_n,                                     //                                         .mem_act_n
		output wire [1:0]  emif_s10_ddr4a_mem_mem_ba,                                        //                                         .mem_ba
		output wire [1:0]  emif_s10_ddr4a_mem_mem_bg,                                        //                                         .mem_bg
		output wire [1:0]  emif_s10_ddr4a_mem_mem_cke,                                       //                                         .mem_cke
		output wire [1:0]  emif_s10_ddr4a_mem_mem_cs_n,                                      //                                         .mem_cs_n
		output wire [1:0]  emif_s10_ddr4a_mem_mem_odt,                                       //                                         .mem_odt
		output wire [0:0]  emif_s10_ddr4a_mem_mem_reset_n,                                   //                                         .mem_reset_n
		output wire [0:0]  emif_s10_ddr4a_mem_mem_par,                                       //                                         .mem_par
		input  wire [0:0]  emif_s10_ddr4a_mem_mem_alert_n,                                   //                                         .mem_alert_n
		inout  wire [8:0]  emif_s10_ddr4a_mem_mem_dqs,                                       //                                         .mem_dqs
		inout  wire [8:0]  emif_s10_ddr4a_mem_mem_dqs_n,                                     //                                         .mem_dqs_n
		inout  wire [71:0] emif_s10_ddr4a_mem_mem_dq,                                        //                                         .mem_dq
		inout  wire [8:0]  emif_s10_ddr4a_mem_mem_dbi_n,                                     //                                         .mem_dbi_n
		output wire        emif_s10_ddr4a_status_local_cal_success,                          //                    emif_s10_ddr4a_status.local_cal_success
		output wire        emif_s10_ddr4a_status_local_cal_fail,                             //                                         .local_cal_fail
		output wire        emif_s10_ddr4a_ctrl_ecc_user_interrupt_0_ctrl_ecc_user_interrupt, // emif_s10_ddr4a_ctrl_ecc_user_interrupt_0.ctrl_ecc_user_interrupt
		input  wire        emif_s10_ddr4b_local_reset_req_local_reset_req,                   //           emif_s10_ddr4b_local_reset_req.local_reset_req
		output wire        emif_s10_ddr4b_local_reset_status_local_reset_done,               //        emif_s10_ddr4b_local_reset_status.local_reset_done
		input  wire        emif_s10_ddr4b_pll_ref_clk_clk,                                   //               emif_s10_ddr4b_pll_ref_clk.clk
		input  wire        emif_s10_ddr4b_oct_oct_rzqin,                                     //                       emif_s10_ddr4b_oct.oct_rzqin
		output wire [0:0]  emif_s10_ddr4b_mem_mem_ck,                                        //                       emif_s10_ddr4b_mem.mem_ck
		output wire [0:0]  emif_s10_ddr4b_mem_mem_ck_n,                                      //                                         .mem_ck_n
		output wire [16:0] emif_s10_ddr4b_mem_mem_a,                                         //                                         .mem_a
		output wire [0:0]  emif_s10_ddr4b_mem_mem_act_n,                                     //                                         .mem_act_n
		output wire [1:0]  emif_s10_ddr4b_mem_mem_ba,                                        //                                         .mem_ba
		output wire [1:0]  emif_s10_ddr4b_mem_mem_bg,                                        //                                         .mem_bg
		output wire [1:0]  emif_s10_ddr4b_mem_mem_cke,                                       //                                         .mem_cke
		output wire [1:0]  emif_s10_ddr4b_mem_mem_cs_n,                                      //                                         .mem_cs_n
		output wire [1:0]  emif_s10_ddr4b_mem_mem_odt,                                       //                                         .mem_odt
		output wire [0:0]  emif_s10_ddr4b_mem_mem_reset_n,                                   //                                         .mem_reset_n
		output wire [0:0]  emif_s10_ddr4b_mem_mem_par,                                       //                                         .mem_par
		input  wire [0:0]  emif_s10_ddr4b_mem_mem_alert_n,                                   //                                         .mem_alert_n
		inout  wire [8:0]  emif_s10_ddr4b_mem_mem_dqs,                                       //                                         .mem_dqs
		inout  wire [8:0]  emif_s10_ddr4b_mem_mem_dqs_n,                                     //                                         .mem_dqs_n
		inout  wire [71:0] emif_s10_ddr4b_mem_mem_dq,                                        //                                         .mem_dq
		inout  wire [8:0]  emif_s10_ddr4b_mem_mem_dbi_n,                                     //                                         .mem_dbi_n
		output wire        emif_s10_ddr4b_status_local_cal_success,                          //                    emif_s10_ddr4b_status.local_cal_success
		output wire        emif_s10_ddr4b_status_local_cal_fail,                             //                                         .local_cal_fail
		output wire        emif_s10_ddr4b_ctrl_ecc_user_interrupt_0_ctrl_ecc_user_interrupt, // emif_s10_ddr4b_ctrl_ecc_user_interrupt_0.ctrl_ecc_user_interrupt
		input  wire [3:0]  pio_button_external_connection_export,                            //           pio_button_external_connection.export
		output wire [3:0]  pio_led_external_connection_export                                //              pio_led_external_connection.export
	);
endmodule

